## org.eclipse.datatools.sqltools.sqlbuilder.input
Interface ISQLBuilderEditorInputUsageOptions

All Known Implementing Classes:
  SQLBuilderEditorInputUsageOptions

    public interface ISQLBuilderEditorInputUsageOptions

This interface defines the usage options of ISQLBuilderEditorInput. An option may be specified to ignore a specific input info even if exists.

Method Summary
`java.lang.String` `encode()` Encodes the given `ISQLBuilderEditorInputUsageOptions` object for persistence.
`void` `setUseWindowState(boolean useState)` Specifies whether to restore/save the window state information.
`boolean` `useWindowState()` Indicates whether to restore/save the window state information.

Method Detail

### useWindowState

    boolean useWindowState()

  Indicates whether to restore/save the window state information.

### setUseWindowState

    void setUseWindowState(boolean useState)

  Specifies whether to restore/save the window state information.

  Parameters:
    `useState` - true to use the input's window state if exists; false to ignore the window state info even if it exists

### encode

    java.lang.String encode()

  Encodes the given `ISQLBuilderEditorInputUsageOptions` object for persistence.

  Returns:
    encoded String
  See Also:
    `SQLBuilderEditorInputUsageOptions.decode(String)`